* % $
******************************************************************
*          PLOTTER DESCRIPTOR FILE FOR BENSON 1624SB             *
*ver ST1.0b                                               4/09/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
BENSON 1624SB

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
10

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A1

*Code for size
1

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
31000  22720

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 31000 22720 $

******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A2

*Code for size
2

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
21560 15600

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 21560 25600 $

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size
METRIC A3

*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
14600 10680

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 14600 10680 NP 0 $

******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
METRIC A4

*Code for size
1

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
10680  6800

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 31400 22560 $

******************************************************************
*Details of 5th size
******************************************************************

*Name of 5th size
ANSI 'D'

*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
32360  21160

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 32360 21160 $

******************************************************************
*Details of 6th size
******************************************************************

*Name of 6th size
ANSI 'C'

*Code for size
7

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
20160  16080

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 20160 16080 $

******************************************************************
*Details of 7th size
******************************************************************

*Name of 7th size
ANSI 'B'

*Code for size
8

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
15080 9960

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 15080 9960 $

******************************************************************
*Details of 8th size
******************************************************************

*Name of 8th size
ANSI 'A'

*Code for size
9

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
8960 7440

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 %OA%%OD% $

*Close down instruction
MA 0 0 %OA%%OD%  NP 0 %OA%%OD% VI 16 RoboCAD Finished %OA%%OD% $

******************************************************************
*Details of 9th size
******************************************************************

*Name of 9th size
ARCH 'D'

*Code for size
11

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
34360 23160

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 34360 23160 $

******************************************************************
*Details of 10th size
******************************************************************

*Name of 10th size
ARCH 'C'

*Code for size
12

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
22160 17080

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction
DE 2 3 $

*Close down instruction
MA 22160 17080 $

*****************************************************************
*Plotting commands*
*****************************************************************

*Line from current point
DA %xe %ye $

*Line between 2 points
MA %xs %ys DA %xe %ye $

*Circle
AC %xc %yc %rd $

*No arc commands
%none$
%none$
%none$
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

*****************************************************************
*Pen parameters
*****************************************************************

*No. of pens
8

*No. of 1st pen
0

*Select pen instruction
NP %pn $

*No. of linetypes
8

*Line type instructions

LM 16 $
SD 1 86 LM 17 $
SD 1 366 LM 17 $
SD 182 182 LM 17 $
SD 268 96 LM 17 $
SD 364 364 LM 17 $
SD 867 110 1 110 LM 17 $
SD 758 110 110 110 LM 17 $

*Select pen speed instruction
%none$

*Select pen presure instruction
%none$

*Arc chord angle in degrees
3.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
3.0

*Text height (in mm) below which text is plotted with lines only
2.0
