* % $
******************************************************************
*    PLOTTER DESCRIPTOR FILE FOR HOUSTON INSTRUMENTS DMP-42      *
*ver ST1.0e                                              19/01/87*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
HOUSTON INSTRUMENTS DMP-42


******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
2

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A1
*Code for size
1

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0

*Top right hand coords
31000 21500

*Plotter units / mm
39.37

*Handedness of coords
Right

*Home counter
0

*start up instruction - select plotter mode 1, large paper, home pen,
*set origin, select metric addressing, set absolute coords
;:EF H O EC1 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
P0 U 1488,0 @ $


******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A2
*Code for size
2

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
21500 14500

*Plotter units / mm
39.37

*Handedness of coords
Right

*Home counter
0

*start up instruction - select plotter mode 1, small paper size, home pen,
*set origin, set metric addressing, set absolute coords
;: EH H O EC1 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
P0 U 0,1488 @ $

*****************************************************************
*Plotting commands*
*****************************************************************

*Line from current point
D %xe,%ye $

*Line between 2 points
U %xs,%ys D %xe,%ye $

*Circle
CC %xc,%yc,%rd $

*No arc commands
%none$
%none$
%none$
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

*****************************************************************
*Pen parameters
*****************************************************************

*No. of pens
1

*No. of 1st pen
1

*Select pen instruction
P%pn $

*No. of linetypes
8

*Line type instructions
L0 $
L10 $
L2 $
L1 $
L4 $
L6 $
L5 $
L7 $

*Select pen speed instruction
V%ps $

*No. of different pen speeds
3

*Position of default speed in table
3

*Table of actual pen speeds
1 2 3

*Select pen presure instruction
%none$

*Arc chord angle in degrees
3.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
2.0
