* % $
******************************************************************
*     PLOTTER DESCRIPTOR FILE FOR HOUSTON INSTRUMENT  DMP-51     *
*ver ST1.0b                                              13/07/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator


*Name of plotter
HOUSTON INSTRUMENT DMP-51

******************************************************************
*Paper sizes
******************************************************************

2                 *No of paper sizes

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
USA 'D'
*Code for size
9

*x,y displacement of plotter image from B\L
-999 -999

0 0               *Bottom left hand coords
8128 5080         *Top right hand coords

10                *Plotter units / mm

Right             *Handedness of coords

0                 *Home counter

 ;:EF H O ECM A $ *start up instruction - select plotter mode 1, large
                  *paper, home pen, set origin, select metric addressing,
                  *set absolute coords

P0 U 480,0 @ $    *Close down instruction - return pen to carousel, move
                  *paper back to loading position, put plotter off line

******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
USA 'C'
*Code for size
8

*x,y displacement of plotter image from B\L
-999 -999

0 0               *Bottom left hand coords
5080 3810         *Top right hand coords

10                *Plotter units / mm

Right             *Handedness of coords

0                 *Home counter

 ;:EH H O ECM A $ *start up instruction - select plotter mode 1, small
                  *paper size, home pen, set origin, set metric
                  *addressing, set absolute coords

P0 U 0,480 @ $    *Close down instruction - return pen to carousel, move
                  *paper back to loading position, put plotter off line


*****************************************************************
*Plotting commands
*****************************************************************
D %xe,%ye $               *Line from current point

U %xs,%ys D %xe,%ye $     *Line between 2 points

CC %xc,%yc,%rd $          *Circle

%none$                    *CW arc from current point

%none$                    *A/CW arc from current point

%none$                    *CW arc between 2 points

%none$                    *A/CW arc between 2 points

%none$                    *No ellipse command

%none$                    *No elliptical arc command

%none$                    *	"	"	"

%none$                    *	"	"	"

%none$                    *	"	"	"

******************************************************************
*Pen parameters
******************************************************************

1                         *No. of pens

1                         *No. of 1st pen

P%pn $                    *Select pen instruction

8                         *No. of linetypes

L0 $                      *Line type instructions
L1 $
L: $
L2 $
L3 $
L6 $
L9 $
L7 $


V%ps $                      *Select pen speed instruction

10                          *No. of different pen speeds

10                          *Position of default speed in table

5 7 10 15 20 25 30 35 38 40 *Table of actual pen speeds


%none$                      *Select pen presure instruction

3.0                         *Arc chord angle in degrees

1.0                         *Minimum step length (mm)

3                           *Minimum no. of steps

5.0                         *Maximun step length(mm)

2.0                         *Text height (in mm) below which
                            *text is plotted with lines only