* % $
******************************************************************
*           PLOTTER DESCRIPTOR FILE FOR EPSON HI-80              *
*ver ST1.0a                                              01/06/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
EPSON HI-80
******************************************************************
*PAPER SIZES
******************************************************************

*No of paper sizes
2

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A4
*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999
0 0			*Bottom left hand coords
2670 1920		*Top right hand coords

10			*Plotter units / mm

Right			*Handedness of coords

0			*Home counter

:%0D$			*start up instruction - initialise plotter

H%0D$			*Close down instruction - return pen to home position


******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
USA 'A'
*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999

0 0			*Bottom left hand coords
2500 1920		*Top right hand coords

10			*Plotter units / mm

Right			*Handedness of coords

0			*Home counter

:%0D$			*start up instruction - initialise plotter

H%0D$			*Close down instruction - return pen to home position

******************************************************************
*Plotting commands
******************************************************************
D%xe,%ye%0D$				*Line from current point

M%xs,%ys%0DD%xe,%ye%0D$			*Line between 2 points

%none$					*Circle

%none$					*CW arc from current point

%none$					*A/CW arc from current point

%none$					*CW arc between 2 points

%none$					*A/CW arc between 2 points

%none$					*Ellipse

%none$					*CW elliptical arc from current point

%none$					*A/CW	"	"	"	"

%none$					*CW	"	"  between 2 points

%none$					*A/CW	"	"	"	"



******************************************************************
*Pen parameters
******************************************************************

4				*No. of pens

1				*No. of 1st pen

J%pn%0D$			*Select pen instruction


8				*No. of linetypes

L0%0D$				*8 line type instructions
L3%0D B6%0D$
L3%0D B24%0D$
L1%0D B24%0D$
L4%0D B24%0D$
L1%0D B48%0D$
L6%0D B60%0D$
L5%0D B60%0D$


T%ps%0D$			*Select pen speed instruction

2				*No. of different pen speeds

2				*Position of default speed in table

1 0				*Table of actual pen speeds



%none$				*Select pen presure instruction

*Arc chord angle in degrees
5.0

*Minimum step length(mm)
1.0

*Minimum no. of steps
2

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
3.0
