* % $
******************************************************************
*            PLOTTER DESCRIPTOR FILE FOR GOULD 6120              *
*ver ST1.0a                                              01/06/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
GOULD COLORWRITER 6120

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
4

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A3
*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0
*Top right hand coords
15200 10800

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A3 paper
IN;PS3;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;$


******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A4

*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0
*Top right hand coords
10800 6800

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A4 paper
IN;PS4;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;$

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size
USA 'B'
*Code for size
7

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
15600 10000

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A3 paper
IN;PS3;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;$


******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
USA 'A'
*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
10000 7200

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A4 paper
IN;PS4;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;$


******************************************************************
*Plotting commands			*
******************************************************************

*Line from current point
PD%xe,%ye;$

*Line between 2 points
PU%xs,%ys;PD%xe,%ye;$

*Circle
PU%xc,%yc;CI%rd,5;$

*CW arc from current point
%none$

*A/CW arc from current point
%none$

*CW arc between 2 points
%none$

*A/CW arc between 2 points
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$

%none$

%none$

%none$

******************************************************************
*Pen parameters
******************************************************************

*No. of pens
7

*No. of 1st pen
1

*Select pen instruction
SP %pn;$

*No. of linetypes
8

*Line type instructions
LT;$
LT 1,0.5;$
LT 1,2;$
LT 2,2;$
LT 3,2;$
LT 2,4;$
LT 4,6;$
LT 5,6;$

*Select pen speed instruction
VS %ps;$

*No. of different pen speeds
2

*Position of default speed in table
2

*Table of actual pen speeds
1 11

*Select pen presure instruction
%none$

*Arc chord angle in degrees
5.0

*Min no. step length
1.0

*Min no. of steps
2

*Max step length
5.0

*Text height (in mm) below which text is plotted with lines only
3.0
