*=$
******************************************************************
*    PLOTTER DESCRIPTOR FILE FOR HEWLETT PACKARD LaserJet IIIP   *
* version 3                                        MP 26.07.1993 *
******************************************************************

*Name of plotter
HP LaserJet IIIP

* special chars are '*' for comment, '=' for special field,
* '$' for end-of-command

*******************************  Paper sizes  ****************************

*No. of paper sizes
4

******************************************************************
*Details of 1st size
******************************************************************

* Name of first size
A4-MP Landscape / 271x197.5mm

*Code for size
4

*x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0

* xmax, ymax
10841 7901

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction:
*MP-tray, switch plotter into HPGL/2-mode,
*Papersize A4, initialize plotter, Width units metric,
*line attributes round, rotate 90 degrees
=1BE=1B&l1H=1B%0B;PS11880,8400;IN;WU0;LA1,4,2,4;RO90$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

******************************************************************
*Details of 2nd size
******************************************************************

* Name of second size
A4-MP Portrait  / 197.5x271mm
*Code for size
3
*x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0
* xmax, ymax
7901 10841

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction:
*MP-tray, switch plotter into HPGL/2-mode,
*Papersize A4, initialize plotter, Width units metric,
*line attributes round
=1BE=1B&l1H=1B%0B;PS11880,8400;IN;WU0;LA1,4,2,4;$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

******************************************************************
*Details of 3rd size
******************************************************************

* Name of first size
A4-PK Landscape / 271x197.5mm

*Code for size
4

*x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0

* xmax, ymax
10841 7901

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction:
*Paper cassette, switch plotter into HPGL/2-mode,
*Papersize A4, initialize plotter, Width units metric,
*line attributes round, rotate 90 degrees
=1BE=1B&l4H=1B%0B;PS11880,8400;IN;WU0;LA1,4,2,4;RO90$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

******************************************************************
*Details of 4th size
******************************************************************

* Name of fourth size
A4-PK Portrait  / 197.5x271mm
*Code for size
3
*x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0
* xmax, ymax
7901 10841

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction:
*Paper cassette, switch plotter into HPGL/2-mode,
*Papersize A4, initialize plotter, Width units metric,
*line attributes round
=1BE=1B&l4H=1B%0B;PS11880,8400;IN;WU0;LA1,4,2,4;$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

**************************************************************************
* Plotter command codes - assumed the same for all paper sizes
**************************************************************************

*Line from current point
PD=xe,=ye;$

*Line between 2 points
PU=xs,=ys;PD=xe,=ye;$

*No arc or circle command is supported, because the printer
*seems to calculate those commands very slow!
*Circle
=none$

*CW arc from current point
=none$

*A/CW arc from current point
=none$

*CW arc between 2 points
=none$

*A/CW arc between 2 points
=none$

*No ellipse command
=none$

*No elliptical arc commands
=none$

=none$

=none$

=none$

**************************   Pen paramters  ******************************

*Number of pens
8

*No. of 1st pen
1

*Select pen instruction
PU;SP=pn;$

*Number of plotter line types used
8

*Line type instructions to produce aprox. matches to system's 8 styles
LT ;$
LT 1,0.25;$
LT 1,0.35;$
LT 2,0.35;$
LT 3,0.7;$
LT 2,0.8;$
LT 4,1.5;$
LT 4,3;$


*Select pen speed instruction
=none$

*Use "pen pressure" instruction for pen width assignment
PW=pp;$

*No. of "pen pressures"
8

*Position of default "pressure" in table
1

*Table of actual "pen pressures", used for pen width in mm
.08 .18 .25 .35 .5 .7 1 2

*Arc chord angle in degrees
2.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
1.5
