* % $
******************************************************************
*          PLOTTER DESCRIPTOR FILE FOR ROLAND DXY-990            *
*ver ST1.0A                                          SMH/11/10/87*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
ROLAND DXY990

******************************************************************
*Paper sizes                                                     *
******************************************************************

*No of paper sizes
4

******************************************************************
*Details of 1st size                                             *
******************************************************************

*Name of 1st size
METRIC A3
*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0

*Top right hand coords
15720 11040

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return pen to carousel-carriage home
PU;SP;$

******************************************************************
*Details of 2nd size                                             *
******************************************************************

*Name of 2nd size
METRIC A4

*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0

*Top right hand coords
10800 7680

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return pen to carousel - home carriage
PU;SP;$
******************************************************************
*Details of 3rd size                                             *
******************************************************************

*Name of 3rd size
USA 'B'
*Code for size
7

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
15200 10800

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return pen to carousel - home carriage
PU;SP;$

******************************************************************
*Details of 4th size                                             *
******************************************************************

*Name of 4th size
USA 'A'
*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0

*Top right hand coords
9200 7900

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return pen to carousel - home carriage
PU;SP;$
******************************************************************
*Plotting commands                                               *
******************************************************************

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
PU %xc,%yc;CI %rd,%ca;$

*CW arc from current point
%none$

*A/CW arc from current point
%none$

*CW arc between 2 points
%none$

*A/CW arc between 2 points
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$

%none$

%none$

%none$
******************************************************************
*Pen parameters*                                                 *
******************************************************************

*No. of pens
8

*No. of 1st pen
1

*Select pen instruction
SP %pn;$

*No. of linetypes
8

*Line type instructions
LT;$
LT 1,0.25;$
LT 1,0.5;$
LT 2,0.5;$
LT 3,0.65;$
LT 2,0.92;$
LT 4,2.2;$
LT 5,3.5;$

*Select pen speed instruction
VS %ps;$

*No. of different pen speeds
8

*No. of default speed
8

*Actual pen speeds
1 2 5 10 15 20 25 30

*Select pen presure instruction
%none$

*Arc chord angle in degrees
3.0

*Min step length for arc plotting in mm
0.2

*min num of steps to draw arc
3

*Max step length for arc plotting in mm
5.0

*Text height (in mm) below which text is plotted with lines only
2.0
