* % $
******************************************************************
*          PLOTTER DESCRIPTOR FILE FOR HITACHI 673               *
*ST1.0                                                   14/05/88*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
HITACHI 673/BM

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
4


******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A3
*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0
*Top right hand coords
16160 11080

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A3 paper
IN;PS3;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;PG;$


******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A4

*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0
*Top right hand coords
11060 7600

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A4 paper
IN;PS4;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;PG;$

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size

USA 'B'

*Code for size
7

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0
*Top right hand coords
16640 10380

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A3 paper
IN;PS3;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;PG;$


******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
USA 'A'

*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0
*Top right hand coords
10360 7920

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, select A4 paper
IN;PS4;PG;$

*Close down instruction - return pen to carousel, home paper
SP0;IN;$


******************************************************************
* Plotter command codes - assumed the same for all paper sizes
******************************************************************

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
PU %xc,%yc;CI %rd,2;$

*Plotter's own arc commands are not accurate enough - they only handle integer
*degrees
%none$
%none$
%none$
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$

%none$

%none$

%none$

******************************************************************
*Pen parameters
******************************************************************

*No. of pens
4

*No. of 1st pen
1

*Select pen instruction
SP %pn;$

*No. of linetypes
8

*Line type instructions
LT;$
LT 2,0.5;$
LT 2,1;$
LT 2,1.5;$
LT 3,1.5;$
LT 2,3;$
LT 4,4;$
LT 5,4;$

*Select pen speed instruction
VS %ps;$

*No. of different pen speeds
8

*Position of default speed in table
8

*Table of actual pen speeds
1 2 5 10 15 20 30 40

*Select pen presure instruction
%none$

*Arc chord angle in degrees
5.0

*Minimum arc step
.2

*Minimum no. of steps
3

*Maximum step length
5

*Text height (in mm) below which text is plotted with lines only
2.0
