* % $
******************************************************************
*       PLOTTER DESCRIPTOR FILE FOR HEWLETT PACKARD HP7570       *
*ver ST1.0b                                              12/09/86*
******************************************************************
* Name of plotter
ColorPro

*******************************  Paper sizes  ****************************
*No. of paper sizes
2

*---------------------------------------------------------------------------

* Name of 1st size
METRIC A4
*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999
*Plot range - plotter co-ordinates, limits of possible plotting

* xmin, ymin
0 0
* xmax, ymax
10900 7650

*P/U per mm
40.0

*Handedness
Right

*Home counter
0

*Startup instruction - initialise plotter
IN;DF;$

*Closedown instruction - return pen to holder, move paper back to loading
*position
SP0;PU 360,0;$

*-------------------------------------------------------------------------

* Name of 2nd size
USA 'A'
*code for size
6

*x, y displacement of plotter image from B\L
-999 -999
*Plot range - plotter co-ordinates, limits of possible plotting

* xmin, ymin
0 0
* xmax, ymax
10300 7650

*P/U per mm
40.0

*Handedness
Right

*Home counter
0

*Startup instruction - initialise plotter
IN;DF;$

*Closedown instruction - return pen to holder, move paper back to loading
*position
SP0;PU 360,0;$


**************************************************************************
* Plotter command codes - assumed the same for all paper sizes
**************************************************************************

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
%none$

*CW arc from current point
%none$

*A/CW arc from current point
%none$

*CW arc between 2 points
%none$

*A/CW arc between 2 points
%none$

*no ellipse command
%none$

*No elliptical arc commands
%none$

%none$

%none$

%none$


**************************   Pen paramters  ******************************

*Number of pens
8

*No. of 1st pen
1

*Select pen instruction
SP %pn;$

*Number of plotter line types used
8

*Line type instructions to produce aprox. matches to system's 8 styles
LT ;$
LT 1,0.5;$
LT 1,2;$
LT 2,2;$
LT 3,2;$
LT 2,4;$
LT 4,6;$
LT 5,6;$

*Select pen speed instruction
VS %ps;$

*number of pen speeds selectable
10

*Position of default speed in table
10

*Selectable speeds - 1..n
1
2
4
6
10
15
20
26
32
40

*Select pen pressure instruction
%none$

*Arc chord angle in degrees
5.0

*Minimum step length(mm)
0.3

*Minimum no. of steps
5

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
2.0

