* % $
******************************************************************
*          PLOTTER DESCRIPTOR FILE FOR GRAFTEC MP-2000           *
*ver ST1.0a                                              01/06/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
GRAPHTEC MP2000

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
4

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A3
*Code for size
3

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 0
4000 2850

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
: $

*Close down instruction - return pen to home position
H $

******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A4

*Code for size
4

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 850
2750 2850

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
: $

*Close down instruction - return pen to home position
H $

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size
USA 'B'

*Code for size
7

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 150
4000 2850

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
: $

*Close down instruction - return pen to home position
H $

******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
USA 'A'

*Code for size
6

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 800
2600 2850

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
: $

*Close down instruction - return pen to home position
H $

******************************************************************
*Plotting commands
******************************************************************

*Line from current point
D %xe,%ye $

*Line between 2 points
M %xs,%ys,D %xe,%ye $

*Circle (This is actually a spiral command, adjusted to produce a circle)
W %xc,%yc,%rd,%rd,0,3600 $

*Arc commands not accurate enough (only tenths of a degree can be specified)
%none$
%none$
%none$
%none$

*Ellipse command
%none$

*Elliptical arc commands not accurate enough (only 10th's of a degree can be
*								specified)
%none$
%none$
%none$
%none$


******************************************************************
*Pen parameters
******************************************************************

*No. of pens
8

*No. of 1st pen
1

*Select pen instruction
J%pn $


*No. of linetypes
8

*Line type instructions
L0 $
L1 B10 $
L1 B40 $
L3 B40 $
L4 B40 $
L3 B80 $
L5 B110 $
L6 B110 $

*Select pen speed instruction
!%ps $

*No. of different pen speeds
10

*Position of default speed in table
10

*Table of actual pen speeds
1 2 3 4 5 6 7 8 9 10


*Select pen presure instruction
%none$

*Arc chord angle in degrees
5.0

*Min step length for arc plotting in mm
1.0

*min num of steps to draw arc
2

*Max step length for arc plotting in mm
5.0

*Text height (in mm) below which text is plotted with lines only
3.0
